Bug 870138 - [abrt] Zim-0.56-3.fc17: fs.py:539:_parse_uri:AssertionError: Can not handle non-local file uris
[abrt] Zim-0.56-3.fc17: fs.py:539:_parse_uri:AssertionError: Can not handle n...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
abrt_hash:6360674a38e7344b674d2795866...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 11:55 EDT by hage
Modified: 2012-12-25 23:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-25 23:50:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (1.39 KB, text/plain)
2012-10-25 11:55 EDT, hage
no flags Details
File: smolt_data (3.21 KB, text/plain)
2012-10-25 11:55 EDT, hage
no flags Details
File: core_backtrace (537 bytes, text/plain)
2012-10-25 11:55 EDT, hage
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1072551 None None None 2012-10-29 00:44:36 EDT

  None (edit)
Description hage 2012-10-25 11:55:41 EDT
Description of problem:
- Write the following: file://path/to/file (I really had this, but I guess it will work with any path that does not exist on the system)
- Zim will automatically create a link a file
- Click on that link (with right click the error occurs, too)

Expected:
left click: error message "The file could not be found" or so
right click: context menu with at least the option the remove the link


Version-Release number of selected component:
Zim-0.56-3.fc17

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.16
cmdline:        /usr/bin/python /usr/bin/zim
kernel:         3.6.2-4.fc17.x86_64

backtrace:
:fs.py:539:_parse_uri:AssertionError: Can not handle non-local file uris
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/zim/gui/pageview.py", line 5039, in do_populate_popup
:    file = self.ui.notebook.resolve_file(file, self.page)
:  File "/usr/lib/python2.7/site-packages/zim/notebook.py", line 1810, in resolve_file
:    return File(filename)
:  File "/usr/lib/python2.7/site-packages/zim/fs.py", line 1232, in __init__
:    FilePath.__init__(self, path)
:  File "/usr/lib/python2.7/site-packages/zim/fs.py", line 511, in __init__
:    path = self._parse_uri(path)
:  File "/usr/lib/python2.7/site-packages/zim/fs.py", line 539, in _parse_uri
:    elif uri.startswith('file://'): assert False, 'Can not handle non-local file uris'
:AssertionError: Can not handle non-local file uris
:
:Local variables in innermost frame:
:uri: u'file://path/to/file'
Comment 1 hage 2012-10-25 11:55:44 EDT
Created attachment 633451 [details]
File: environ
Comment 2 hage 2012-10-25 11:55:47 EDT
Created attachment 633452 [details]
File: smolt_data
Comment 3 hage 2012-10-25 11:55:50 EDT
Created attachment 633453 [details]
File: core_backtrace
Comment 4 Fedora Update System 2012-12-17 00:48:24 EST
Zim-0.58-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/Zim-0.58-1.fc17
Comment 5 Fedora Update System 2012-12-17 21:35:04 EST
Package Zim-0.58-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing Zim-0.58-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20539/Zim-0.58-1.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-12-25 23:50:54 EST
Zim-0.58-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.